Ubuntu

[Oneiric] 'Not Authorized' error given when mounting device

Reported by Franck on 2011-09-15
290
This bug affects 76 people
Affects Status Importance Assigned to Milestone
lightdm (Ubuntu)
Critical
Canonical Desktop Team
Oneiric
Critical
Canonical Desktop Team

Bug Description

Oneiric Ocelot with latest update. Nautilus, Disk Utility are unable to mount/format/create partitions on USB drives.

User is presented with 'Not Authorized' error.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gvfs 1.9.5-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Thu Sep 15 18:07:58 2011
EcryptfsInUse: Yes
HotplugNewDevices: /dev/sdb /dev/sdb1 /dev/sdb3 /dev/sdb2
HotplugNewMounts:

InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
SourcePackage: gvfs
Symptom: storage
Title: Does not detect hotplugged storage device
UpgradeStatus: No upgrade log present (probably fresh install)

Franck (alci) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Ian Jefferies (ianpjefferies) wrote :

I also have this problem, occurred today after upgrades applied.

Same error occurs when inserting other media i.e. music CD, blank DVD etc.

There also seems to be a problem with certain other admin functions for example:
1) Opening "System Settings" then "User Accounts" presents the user screen but the "Unlock" button is grayed out.
2) Using Ubuntu-Tweak, when you access "Source Center" and click "Unlock", nothing happens at all.
3) Shutdown no longer shuts the computer down, it reverts to the Login screen. Using the restart option from here has no effect, only options are to log back in or hit the power button.

I'm using a Toshiba L350 laptop, dual booted from Windows 7. Don't know what else I can do to help but just let me know.

komputes (komputes) on 2011-09-15
Changed in ubuntu:
importance: Undecided → High
assignee: nobody → Ubuntu Desktop (ubuntu-desktop)
status: Confirmed → Triaged
komputes (komputes) on 2011-09-15
description: updated
affects: ubuntu → nautilus (Ubuntu)
Changed in nautilus (Ubuntu):
assignee: Ubuntu Desktop (ubuntu-desktop) → nobody
summary: - Gnome cannot mount hotplugged storage device. Not Authorized.
+ [Oneiric] 'Not Authorized' error given when mounting device
komputes (komputes) wrote :

This problem seems to be widespread, and from what I can see affects everyone who has upgraded today. I have marked it as Importance: High to get this looked at immediately.

description: updated
Changed in nautilus (Ubuntu):
milestone: none → ubuntu-11.10
Rainer Rohde (rainer-rohde) wrote :

Same here.

I am suddenly no longer able to mount any of my partitions or external drives / devices. I get the following error message: "Unable to mount XYZ - Not authorized" (where XYZ is the name of the device or partition).

I am able to mount those devices as root just fine, however.

Victor bai (baidayuvictor) wrote :

Same thing happened to me after I updated.

Download full text (4.0 KiB)

Cheers for looking at the issue, I'm new to bug reporting (this is actually my first) so nice to know it is important. Have a great day/night :)

Sent from my HTC

----- Reply message -----
From: "David Bensimon" <email address hidden>
Date: Thu, Sep 15, 2011 22:02
Subject: [Bug 851055] Re: Gnome cannot mount hotplugged storage device. Not Authorized.
To: <email address hidden>

This problem seems to be widespread, and from what I can see affects
everyone who has upgraded today. I have marked it as Importance: High to
get this looked at immediately.

** Changed in: ubuntu
   Importance: Undecided => High

** Changed in: ubuntu
     Assignee: (unassigned) => Ubuntu Desktop (ubuntu-desktop)

** Changed in: ubuntu
       Status: Confirmed => Triaged

** Description changed:

- In latest Oneiric Ocelot, gnome is unable to mount usb sticks anymore.
- Gives 'Not Authorized' error.
+ Oneiric Ocelot with latest update. Nautilus, Disk Utility are unable to
+ mount USB sticks anymore. Gives 'Not Authorized' error.

- Maybe has to do with the way lightdm opens the session ??

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: gvfs 1.9.5-0ubuntu1
  ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
  Uname: Linux 3.0.0-11-generic x86_64
  ApportVersion: 1.23-0ubuntu1
  Architecture: amd64
  Date: Thu Sep 15 18:07:58 2011
  EcryptfsInUse: Yes
  HotplugNewDevices: /dev/sdb /dev/sdb1 /dev/sdb3 /dev/sdb2
  HotplugNewMounts:
-
+
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
  SourcePackage: gvfs
  Symptom: storage
  Title: Does not detect hotplugged storage device
  UpgradeStatus: No upgrade log present (probably fresh install)

** Package changed: ubuntu => nautilus (Ubuntu)

** Changed in: nautilus (Ubuntu)
     Assignee: Ubuntu Desktop (ubuntu-desktop) => (unassigned)

** Summary changed:

- Gnome cannot mount hotplugged storage device. Not Authorized.
+ [Oneiric] 'Not Authorized' error given when mounting device

** Description changed:

  Oneiric Ocelot with latest update. Nautilus, Disk Utility are unable to
- mount USB sticks anymore. Gives 'Not Authorized' error.
+ mount/format/create partitions on USB drives.

+ User is presented with 'Not Authorized' error.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: gvfs 1.9.5-0ubuntu1
  ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
  Uname: Linux 3.0.0-11-generic x86_64
  ApportVersion: 1.23-0ubuntu1
  Architecture: amd64
  Date: Thu Sep 15 18:07:58 2011
  EcryptfsInUse: Yes
  HotplugNewDevices: /dev/sdb /dev/sdb1 /dev/sdb3 /dev/sdb2
  HotplugNewMounts:

  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
  SourcePackage: gvfs
  Symptom: storage
  Title: Does not detect hotplugged storage device
  UpgradeStatus: No upgrade log present (probably fresh install)

** Changed in: nautilus (Ubuntu)
    Milestone: None => ubuntu-11.10

--
You received this bug notification because you are subscribed to a
duplicate bug report (851106).
https://bugs.launchpad.net/bugs/851055

Title:
  [Oneiric] 'Not Authorized' error given when mounting device

Status in “nautilus” package in Ubuntu:
  Triaged

Bug description:
  Oneiric Ocelo...

Read more...

Chris Coulson (chrisccoulson) wrote :

This seems to have broken with the lightdm upgrade. Now, I get 2 consolekit sessions:

chr1s@farnsworth:~$ ck-list-sessions
Session3:
 unix-user = '1000'
 realname = 'Chris Coulson'
 seat = 'Seat1'
 session-type = ''
 active = FALSE
 x11-display = ':0'
 x11-display-device = '/dev/tty7'
 display-device = ''
 remote-host-name = ''
 is-local = TRUE
 on-since = '2011-09-15T21:23:40.636038Z'
 login-session-id = '4294967295'
Session4:
 unix-user = '1000'
 realname = 'Chris Coulson'
 seat = 'Seat1'
 session-type = ''
 active = TRUE
 x11-display = ''
 x11-display-device = ''
 display-device = '/dev/tty7'
 remote-host-name = ''
 is-local = TRUE
 on-since = '2011-09-15T21:23:40.648390Z'
 login-session-id = '4294967295'
 idle-since-hint = '2011-09-15T21:24:11.284720Z'

the inactive session is the one which should be active, so Policykit thinks I'm not on the active console.

Downgrading lightdm to 0.9.5-0ubuntu2 and restarting seems to fix it (I get 1 session, as expected now):

chr1s@farnsworth:~$ ck-list-sessions
Session2:
 unix-user = '1000'
 realname = 'Chris Coulson'
 seat = 'Seat1'
 session-type = ''
 active = TRUE
 x11-display = ':0'
 x11-display-device = '/dev/tty7'
 display-device = ''
 remote-host-name = ''
 is-local = TRUE
 on-since = '2011-09-15T21:40:33.541834Z'
 login-session-id = '4294967295'

affects: nautilus (Ubuntu) → ubuntu
Changed in ubuntu:
milestone: ubuntu-11.10 → none
affects: Ubuntu Oneiric → lightdm (Ubuntu Oneiric)
Changed in lightdm (Ubuntu Oneiric):
importance: High → Critical
Changed in lightdm (Ubuntu Oneiric):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
milestone: none → ubuntu-11.10-beta-2
Chris Coulson (chrisccoulson) wrote :

Ok, pam-ck-connector is creating an additional CK session now, which I don't think it is meant to be doing. I turned on debug and logged in again, and this is what I see:

Sep 15 23:18:33 farnsworth lightdm: pam_ck_connector(lightdm:session): using 1000 as uid
Sep 15 23:18:33 farnsworth lightdm: pam_ck_connector(lightdm:session): open session result: 1
Sep 15 23:18:33 farnsworth lightdm: pam_ck_connector(lightdm:session): registered uid=1000 on tty='/dev/tty7' with ConsoleKit

This shouldn't happen, because we use the "nox11" option for pam-ck-connector.

This has started because of this commit: http://bazaar.launchpad.net/~lightdm-team/lightdm/trunk/revision/1144

The problem seems to be that pam-ck-connector expects PAM_TTY to contain the X display, rather than the tty device path. It then bails out if it interprets this item as an X display:

        if (strchr (display_device, ':') != NULL) {
                if (opt_nox11) {
                        ck_pam_syslog (pamh, LOG_WARNING, "nox11 mode, ignoring PAM_TTY %s", display_device);
                        goto out;
                }
                x11_display = display_device;
                display_device = "";

Because PAM_TTY is /dev/tty7 for me, it goes ahead and creates a CK session

(FTR, before the lightdm update, pam-ck-connector bailed out with "pam_ck_connector(lightdm:session): cannot determine display-device")

Chris Coulson (chrisccoulson) wrote :

I just confirmed that gdm sets PAM_TTY to the X display name too

I got this after I did updates today. I have not received this at any time before, just after doing normal updates.

Nate Wiebe (natew) wrote :

Downgrading lightdm and liblightdm-gobject-1-0 to 0.9.5-0ubuntu2 fixed this for me.

tags: added: rls-mgr-o-tracking
Robert Ancell (robert-ancell) wrote :

Fixed in lightdm 0.9.7

Changed in lightdm (Ubuntu Oneiric):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 0.9.7-0ubuntu1

---------------
lightdm (0.9.7-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Set PAM_TTY to the display name, not the tty device (LP: #851055)
 -- Robert Ancell <email address hidden> Fri, 16 Sep 2011 09:39:22 +1000

Changed in lightdm (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Rocko (rockorequin) wrote :

Thanks, the new lightdm fixes this for me (after a reboot).

R T (rongthach) wrote :

Finally, thanks for the fix, continuing testing Ubuntu 11.10 "Oneiric Ocelot".

GuyR (guy-rouger) wrote :

Still unable to shutdown the PC

it affects me with

@ubuntu-desktop:~$ lsb_release -a

LSB Version: core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch

Distributor ID: Ubuntu

Description: Ubuntu oneiric (development branch)

Release: 11.10

lightdm 0.9.7-0ubuntu1

gnome-session 3.1.91-0ubuntu2

linux-image-3.0.0-11-generic-pae 3.0.0-11.18

Elias K Gardner (zorkerz) wrote :

With lightdm-0.9.7-ubuntu1 I am still having all of these problems (cannot shutdown, cannot mount volumes....).

wompy (wompy-dompy) wrote :

I have the same problems with it. not able to mount usb drives, flash cards or the ipod.

Rainer Rohde (rainer-rohde) wrote :

There seems to be a regression with the latest batch of updates - I am unable to mount anything with a "Not authorized" message...

Rainer Rohde (rainer-rohde) wrote :

Please disregard comment #30; after another reboot it all seems back to normal again.

Rainer Rohde (rainer-rohde) wrote :

Make it comment #20 instead. :)

Same problems exist here with 1.0.1-0ubuntu4.

I've upgraded to Oneiric recently, and I have the same problem with lightdm-1.0.1-0ubuntu6. Can't shutdown or restart from the graphical interface, using the terminal works.

I can provide more information if that's needed.

NikTheGeek (nikthegeek) wrote :

Just noticed I can't either mount any usb devices (micro SD, USB stick, removal hard disk etc) OR shutdown. When I select Shutdown from the menu, the pc drops back to a login box. If I select shutdown from the login box, nothing happens. Restart works ok.

Are the 2 connected as I spotted #24 has the same issue.

tnx
Nik

NikTheGeek (nikthegeek) wrote :

Noticed my updates weren't set to "immediate". Changed it, checked for updates, installed a few and now both Shutdown and USB support are working fine.

11.10 is much slower to startup and shutdown compared to the the lighteningly quick 11.04, but at least my major issue(s) are now fixed. Tnx....

Boris Erdmann (boris-erdmann) wrote :

I've upgraded to Oneiric recently, and I have the same problem with lightdm-1.0.1-0ubuntu6. Can't shutdown or restart from the graphical interface, using the terminal works.

Christian Wolf (christianwolf) wrote :

I installed a fresh 11.10 amd64, which worked fine the first days. After an upgrade, I have exactyl the same issues, as of now (all updates installed):

- "not authorized" when trying to mount CD-Rom or USB-Stick
- system no longer shutting down or rebooting from the GUI but only from the terminal

(in addition, Flash Player is causing my system to freeze after about 5 min. during movies, but that is another bug, I guess).

So the fix did not cure anything here.

Anton Gladky (gladky-anton) wrote :

Same problem here. Fresh install 11.10.

Daniel Dietrich (shaddowy2) wrote :

I can confirm the behaviour described by NikTheGeek in comment #25
$ ck-list-sessions shows one active and one inactive session as described by Chris Coulson in comment #8
Updated from Natty to Oneiric, Ubuntu is up to date: lightdm version 1.0.1-0ubuntu6
So maybe a regression?

Session3:
 unix-user = '1000'
 realname = 'Daniel'
 seat = 'Seat1'
 session-type = ''
 active = FALSE
 x11-display = ':0'
 x11-display-device = '/dev/tty7'
 display-device = ''
 remote-host-name = ''
 is-local = TRUE
 on-since = '2011-10-24T09:21:25.252569Z'
 login-session-id = '4294967295'
Session1:
 unix-user = '1000'
 realname = 'Daniel'
 seat = 'Seat1'
 session-type = ''
 active = TRUE
 x11-display = ':0'
 x11-display-device = '/dev/tty7'
 display-device = ''
 remote-host-name = ''
 is-local = TRUE
 on-since = '2011-10-24T09:18:42.848257Z'
 login-session-id = '4294967295'

Daniel Dietrich (shaddowy2) wrote :

I forgot to point to a workaround you can use until the bug gets fixed: remove lightdm and (re)install gdm (like in Ubuntu 11.04) as display manager. Open a terminal and enter: 'sudo apt-get remove lightdm' and 'sudo apt-get install gdm'.

Christian Wolf (christianwolf) wrote :

In my case, I was able to fix the issue without removing lightdm - I discovered, that for some reason (I never made according changes, I am 100% sure)

/etc/lightdm/lightdm.conf

contained

[SeatDefaults]
greeter-session=unity-greeter
user-session=ubuntu
autologin-user=<my_user>

I commented out the last line in
#autologin-user=<my_user>

and that solved the issue with the missing rights for me.

Nota bene:
Autologin was NOT active - I had to login with password, and I NEVER selected to autologin as we have a multi-user desktop here at home.

shahryar (shahryar) wrote :

Thanks Christian! It solved lots of problems for me : network , logout , ...

Works for me too! Solved, suspend/hibernate, network, shutdown.

Brandon Zehm (caspian-p) wrote :

I just wanted to say that this bug doesn't appear to be fixed.

I'm running 11.10 with all the latest updates. I'm running the "Gnome classic" desktop, and I still have this bug. I read the whole thread and none of the proposed solutions helped. I didn't have an autologin line in my lightdm.conf, so that didn't help.

Eventually I got too frustrated and switched to gdm and now all is well.

James Harford (james-harford) wrote :

I am also experiencing these problems described by Ian Jefferies on 2011-09-15:
1. Attempting to shutdown fails. Instead, it sends me back to the account login. Thus I can quit only by a physical power off of the PC -- which is pretty hard on it.
2. I am an Administrator, but the User Accounts window shows the unlock icon greyed out, and, indeed, I cannot create a new (second) account.

Problem #1 appeared after I installed (sucessfully) the driver for the Brother HL2207DW laser printer. One mishap during that install was that I used the wrong "wrapper" on my first try, then deleted the wrapper file, and reinstalled with the correct wrapper.

I noticed problem #2 today, but since this was my first attempt to create a second account, I cannot say when it began to manifest.

I should also mention that this problem occurs in spite of my downloading all of the updates, installing & rebooting.

Christian Wolf (christianwolf) wrote :

This bug starts to s*ck royally:

After the latest update, I am back were I was - I can NOT mount any device anymore!!! Shutdown seems to work, but devices are gone again - no CD, no USB stick, no nothing can be mounted by users.

It is getting worse with every update of Lightdm, me seems.

Folks, please - is the only solution to kick LightDM from the system? Imagine a newbie running into this bug - those folks will never come back for a second try.

If I can assist with more information etc., please let me know.

Thank you.

nicomen (mendoza-pvv) wrote :

Happens to me too on newly upgraded oneiric.

lookyn (lookynnt) wrote :

my LightDM version: 1.0.6-0ubuntu1.1
Still has these problems.
If I switch to Guest Session , mounting NTFS partition and USB device will be fine. So maybe there are some configuration left from last 11.04 which is not compatible with current 11.10 version ?
Any infomation we can provide to help ?

zven (flangerzvenson) wrote :

same here - after upgrade to lightdm 1.06 couldn mount devices - now downgraded and it works again.

wizzor (visa-parviainen) wrote :

Yep. Same problem. Still, should have all updates as of right now, just checked.

I have a slightly different scenario here: I created a new user from the command line as I broke my original user (and that is another problem altogether) and while having fixed most permission problems using vigr, found that I couldn't shut the machine down or mount USB drives. Following the solution from christianwolf above, I looked at /etc/lightdm/lightdm.conf and found that autologin was set to the old username. Commenting that out and rebooting has given me access to the USB drive and I'm yet to test rebooting.

I got the same problems after upgrading to Oneiric (no mount, shutdown, suspend). For me, there wasn't the autologin line in /etc/lightdm/lightdm.conf so that didn't help. I tried downgrading lightdm to 1.0.6-0ubuntu1.1 from 1.2, didn't help. Finally I switched to gdm.

Benoît Courty (benoit-courty) wrote :

Thanks Christian ! It also solved lots of problems for me, mostly logout and mounting USB.

I encounter it after a fresh install (but keeping an old /home) of Ubuntu 11.10 amd64 final release.

Wayne Clark (w-cl-l) wrote :

FYI:

I did the edit of lightdm.conf and that caused problems (no window manager?!?). I then switched to gdm and everything worked. After switching back to lightdm everything still worked. I suspect a problem caused by an update.

If it brakes again, I will try just switching to gdm and back again to see if that fixes things.

Joel Grant (jbgrant) wrote :

Still have the bug with latests updates. Lost control of login admin, drives, etc for the master account.

Joel Grant (jbgrant) wrote :

I am a first time (first week) linux ubuntu user and this has been extremely frustrating. With zero code knowledge to work with, can somebody instruct me how to dump "lightdm" and get my system working?? No shut down, no user access, no drive access besides the OS drive. I was setting this up for a business that wanted to give it a shot, but so far it's a worse experience than I was hoping for.

Sebastien Bacher (seb128) wrote :

if somebody is still having issue you should open a new bug with a description of your config and issues rather than commenting on closed bugs

@Joel
The easiest fix is to switch to GDM

Run these commands:
  sudo apt-get remove lightdm
  sudo apt-get install gdm

Then reboot.

@Sebastian
A fix was provided on 2011-09-16, but most people that tested that fix still had the same issues. Or it worked, but the update after that put them back to the same issue.

Gerardo Lisboa (gvlx) wrote :

Just made a clean 64bit install from alternate (for RAID and LVM) same problem.

Solved by
  sudo apt-get remove lightdm
  sudo apt-get install gdm

  reboot in recovery mode
  add myself to sudo group (/etc/group and /etc/gshadow)
  reboot normally

  sudo apt-get install lightdm
  sudo apt-get install ubuntu-desktop

  sudo bash
  passwd root
  System Definitions -> User Accounts -> unlock (use root password)
  make myself an Admin user

For some reason I had lost my admin rights too so I had to do those extra steps do recover it (why?).

Now Hibernate and Suspend are also option on the Gear button.

(while in gdm the desktop start was *much* slower).

Lorraine Lee (n8chz) wrote :

#31 (uninstall lightdm install gdm) worked for me. Mine didn't come from the update last fall, rather from creating a second user account and making it "automatic login" (my own administrator account not being automatic login). Deleting the second user account didn't fix the problem, which I suspect may indicate a bug. Perhaps an "Are you sure?" panel in gnome-control-center is in order.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers